import { NgModule } from '@angular/core';
import { Routes, RouterModule, ActivatedRouteSnapshot } from '@angular/router';
import { MisconceptionDetailComponent } from './pages/misconception-detail/misconception-detail.component';
import { MisconceptionsComponent } from './pages/misconceptions/misconceptions.component';

export const routes: Routes = [
  {
    path: 'misconception/:misconception_id',
    component: MisconceptionDetailComponent,
    data: {
      reuseRoute: true
    }
  },
  {
    path: 'misconception',
    component: MisconceptionsComponent,
    data: {
      reuseRoute: true
    }
  },
];


@NgModule({
  exports: [RouterModule]
})
export class MisconceptionsRoutingModule { }
