import { shared } from "./shared";

let docsUrl = 'https://docs.subato.cs.hs-rm.de';
let manualUrl = `${docsUrl}/docs`;

export const environment = {
  ...shared,
  docsUrl: docsUrl,
  manualUrl: manualUrl,
  stefDocsUrl: `${docsUrl}/stef`,
  syntaxHighlightDocs: `${docsUrl}/stef/text#syntax-highlighting`,
  tasksManualUrl: `${manualUrl}/tasks`,
  permissionManualUrl: `${manualUrl}/permissions`,
  hdsManualUrl: `${manualUrl}/login`,
  courseManualUrl: `${manualUrl}/course`,
  aorManualUrl: `${manualUrl}/aor`,
  assessmentManualUrl: `${manualUrl}/assessment`,
  slsUrl: 'https://sls.cs.hs-rm.de',
  supportUrl: 'https://sls.cs.hs-rm.de/support',
  impressUrl: 'https://sls.cs.hs-rm.de/impressum/',
  backendUrl: 'https://api.subato.cs.hs-rm.de',
  keycloakUrl: 'https://kc.sls.cs.hs-rm.de',
  jevalUrl: 'http://jeval.subato-test2.local.cs.hs-rm.de',
  production: true
};
