package de.hsrm.sls.subato.courses.course;

import de.hsrm.sls.subato.modules.progmodule.ProgramModuleSummaryDto;
import de.hsrm.sls.subato.modules.term.TermDto;
import de.hsrm.sls.subato.user.UserSummaryDto;

import java.util.List;

public class CourseDto {
    private long id;
    private String name;
    private String shortName;
    private String motd;
    private boolean showEmails;
    private CourseVisibility visibility;
    private SubmitPolicy submitPolicy;
    private TermDto term;

    private List<UserSummaryDto> admins;
    private List<UserSummaryDto> tutors;
    private List<UserSummaryDto> lecturers;

    private List<ProgramModuleSummaryDto> modules;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getShortName() {
        return shortName;
    }

    public void setShortName(String shortName) {
        this.shortName = shortName;
    }

    public TermDto getTerm() {
        return term;
    }

    public void setTerm(TermDto term) {
        this.term = term;
    }

    public List<UserSummaryDto> getAdmins() {
        return admins;
    }

    public void setAdmins(List<UserSummaryDto> admins) {
        this.admins = admins;
    }

    public List<UserSummaryDto> getTutors() {
        return tutors;
    }

    public void setTutors(List<UserSummaryDto> tutors) {
        this.tutors = tutors;
    }

    public List<UserSummaryDto> getLecturers() {
        return lecturers;
    }

    public void setLecturers(List<UserSummaryDto> lecturers) {
        this.lecturers = lecturers;
    }

    public List<ProgramModuleSummaryDto> getModules() {
        return modules;
    }

    public void setModules(List<ProgramModuleSummaryDto> modules) {
        this.modules = modules;
    }

    public String getMotd() {
        return motd;
    }

    public void setMotd(String motd) {
        this.motd = motd;
    }

    public CourseVisibility getVisibility() {
        return visibility;
    }

    public void setVisibility(CourseVisibility visibility) {
        this.visibility = visibility;
    }

    public SubmitPolicy getSubmitPolicy() {
        return submitPolicy;
    }

    public void setSubmitPolicy(SubmitPolicy submitPolicy) {
        this.submitPolicy = submitPolicy;
    }

    public boolean isShowEmails() {
        return showEmails;
    }

    public void setShowEmails(boolean showEmails) {
        this.showEmails = showEmails;
    }
}
