package de.hsrm.sls.subato.solutions.evaluation.result;

import de.hsrm.sls.subato.solutions.evaluation.evaluator.EvaluatorDto;

import java.util.List;

public class EvalResultDetailDto {
    private long id;
    private EvaluatorDto evaluator;
    private String runtimeOutput;
    private boolean compiling;
    private String compilationOutput;
    private int allocations;
    private int frees;
    private int leaks;
    private double correctness;
    private int testsRun;
    private int testFailures;
    private int testsPassed;
    private int testErrors;
    private List<TestCaseResultDto> testCaseResults;
    private List<StyleCheckResultDto> styleCheckResults;
    private int styleCheckErrors;
    private EvalRating rating;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public EvaluatorDto getEvaluator() {
        return evaluator;
    }

    public void setEvaluator(EvaluatorDto evaluator) {
        this.evaluator = evaluator;
    }

    public String getRuntimeOutput() {
        return runtimeOutput;
    }

    public void setRuntimeOutput(String runtimeOutput) {
        this.runtimeOutput = runtimeOutput;
    }

    public boolean isCompiling() {
        return compiling;
    }

    public void setCompiling(boolean compiling) {
        this.compiling = compiling;
    }

    public String getCompilationOutput() {
        return compilationOutput;
    }

    public void setCompilationOutput(String compilationOutput) {
        this.compilationOutput = compilationOutput;
    }

    public int getTestErrors() {
        return testErrors;
    }

    public void setTestErrors(int testErrors) {
        this.testErrors = testErrors;
    }

    public int getAllocations() {
        return allocations;
    }

    public void setAllocations(int allocations) {
        this.allocations = allocations;
    }

    public int getFrees() {
        return frees;
    }

    public void setFrees(int frees) {
        this.frees = frees;
    }

    public int getTestsRun() {
        return testsRun;
    }

    public void setTestsRun(int testsRun) {
        this.testsRun = testsRun;
    }

    public int getTestFailures() {
        return testFailures;
    }

    public void setTestFailures(int testFailures) {
        this.testFailures = testFailures;
    }

    public List<TestCaseResultDto> getTestCaseResults() {
        return testCaseResults;
    }

    public void setTestCaseResults(List<TestCaseResultDto> testCaseResults) {
        this.testCaseResults = testCaseResults;
    }

    public List<StyleCheckResultDto> getStyleCheckResults() {
        return styleCheckResults;
    }

    public void setStyleCheckResults(List<StyleCheckResultDto> styleCheckResults) {
        this.styleCheckResults = styleCheckResults;
    }

    public int getLeaks() {
        return leaks;
    }

    public void setLeaks(int leaks) {
        this.leaks = leaks;
    }

    public double getCorrectness() {
        return correctness;
    }

    public void setCorrectness(double correctness) {
        this.correctness = correctness;
    }

    public int getTestsPassed() {
        return testsPassed;
    }

    public void setTestsPassed(int testsPassed) {
        this.testsPassed = testsPassed;
    }

    public int getStyleCheckErrors() {
        return styleCheckErrors;
    }

    public void setStyleCheckErrors(int styleCheckErrors) {
        this.styleCheckErrors = styleCheckErrors;
    }

    public EvalRating getRating() {
        return rating;
    }

    public void setRating(EvalRating rating) {
        this.rating = rating;
    }
}
