package de.hsrm.sls.subato.tasks.task;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.event.ContextRefreshedEvent;
import org.springframework.context.event.EventListener;
import org.springframework.stereotype.Component;

@Component
public class VerifyTasksStartupJob {
    @Autowired
    TaskVerificationService taskVerificationService;

    @EventListener(ContextRefreshedEvent.class)
    public void run() {
        taskVerificationService.verifyTasks();
    }
}
