import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SharedModule } from 'app/shared/shared.module';
import { AttendancesRoutingModule } from './attendances-routing.module';
import { CoursesModule } from '../courses/courses.module';
import { CourseParticipantAttendanceComponent } from './components/course-participant-attendance/course-participant-attendance.component';

@NgModule({
  declarations: [
    CourseParticipantAttendanceComponent
  ],
  imports: [
    CommonModule,
    SharedModule,
    CoursesModule,
    AttendancesRoutingModule
  ],
  exports: [
    CourseParticipantAttendanceComponent
  ]
})
export class AttendancesModule { }
