import { Course } from "app/features/courses/models/course";
import { CourseUnit } from "app/features/courses/models/course-unit";

export class CourseInfo {
    course: Course;
    units: CourseUnit[];
    participant: boolean;

    constructor(courseInfo: any) {
        this.course = new Course(courseInfo.course);
        this.units = courseInfo.units.map(unit => new CourseUnit(unit));
        this.participant = courseInfo.participant;
    }
}