import { Component, Input, OnInit } from '@angular/core';
import { CourseResult } from 'app/features/courses/models/course-result';
import { ExerciseResult } from 'app/features/courses/models/exercise-result';

@Component({
  selector: 'ngx-course-result-table',
  templateUrl: './course-result-table.component.html',
  styleUrls: ['./course-result-table.component.scss']
})
export class CourseResultTableComponent implements OnInit {
  @Input() courseResult: CourseResult;
  @Input() filteredExerciseResults: ExerciseResult[] = [];

  constructor() { }

  ngOnInit(): void {
  }

}
