import { CodemirrorComponent } from "@ctrl/ngx-codemirror";
import { interval, Observable } from "rxjs";
import { filter, map } from "rxjs/operators";

export class CodemirrorHelper {
    static waitForEditor(component: CodemirrorComponent): Observable<void> {
        return interval(100)
            .pipe(
                filter(() => component.codeMirror != null),
                map(() => { })
            );
    }
}