package de.hsrm.sls.subato.tasks.stef.parser.meta;

import de.hsrm.sls.subato.tasks.stef.spec.Meta;
import de.hsrm.sls.subato.tasks.stef.parser.InvalidSpecException;
import de.hsrm.sls.subato.tasks.stef.parser.meta.xml.TaskXml;
import org.springframework.stereotype.Service;

@Service
public class NameExtractor {

    public void extract(TaskXml doc, Meta meta) {
        if(doc.getName() == null) {
            throw new InvalidSpecException("Name nicht angegeben");
        }

        meta.setName(doc.getName());
    }
}
